Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FinalHolder Class Template Reference

`#include <coherence/lang/FinalHolder.hpp>`

Inherits MemberHolder< T >.

List of all members.

## Detailed Description

### template<class T>
class coherence::lang::FinalHolder< T >

FinalHolder is an immutable thread-safe holder intended for use as a data-member within Objects.

Author:
  mf 2008.12.01

See also:
  FinalHandle

  FinalView

## Public Types
typedef T | ValueType
| The type of the values the holder can reference.
typedef T::Handle | ValueHandle
| The Handle type for the referenced Object.
typedef T::View | ValueView
| The View type for the referenced Object.
typedef T::Holder | ValueHolder
| The Holder type for the referenced Object.
## Public Member Functions
| FinalHolder (const Object &oGuardian)
| Construct a new FinalHolder referencing NULL via a handle.
| FinalHolder (const Object &oGuardian, const TypedHolder< T > &that)
| Construct a new FinalHolder referencing specified Object.
| FinalHolder (const Object &oGuardian, const ValueView &that, bool fMutable)
| Construct a new FinalHolder referencing specified Object.
| operator ValueView () const
| Return a Holder to the referenced Object.
template<class PT>
| o () const
| Return a Holder to the referenced Object.
template<class PT>
| o () const
| Return a TypedHolder to the referenced Object.
const T * | operator-> () const
| Dereference the FinalHolder.
## Protected Member Functions
void | initialize (ValueHolder that)
| Initialize the value of a FinalHolder after it is constructed.

## Constructor & Destructor Documentation

FinalHolder | ( | const Object & | oGuardian | ) | `[inline]`

Construct a new FinalHolder referencing NULL via a handle.

Parameters:

  | oGuardian | the object that protects this member

FinalHolder | ( | const Object & | oGuardian,
|  | const TypedHolder< T > & | that |
| ) |  |  | `[inline]`

Construct a new FinalHolder referencing specified Object.

Parameters:

  | oGuardian | the object that protects this member
  | that | the object to reference

FinalHolder | ( | const Object & | oGuardian,
|  | const ValueView & | that,
|  | bool | fMutable |
| ) |  |  | `[inline]`

Construct a new FinalHolder referencing specified Object.

Parameters:

  | oGuardian | the object that protects this member
  | that | the object to reference
  | fMutable | true if the member is declared as mutable, false if declared as const

## Member Function Documentation

operator ValueView | ( |  | ) | const `[inline]`

Return a Holder to the referenced Object.

Returns:
  a Holder to the referenced Object

Reimplemented from MemberHolder.

o | ( |  | ) | const `[inline]`

Return a Holder to the referenced Object.

Returns:
  a Holder to the referenced Object

Reimplemented from MemberHolder.

o | ( |  | ) | const `[inline]`

Return a TypedHolder to the referenced Object.

Returns:
  a TypedHolder to the referenced Object

Reimplemented from MemberHolder.

const T* operator-> | ( |  | ) | const `[inline]`

Dereference the FinalHolder.

Returns:
  a const pointer to the referenced Object

Reimplemented from MemberHolder.

void initialize | ( | ValueHolder | that | ) | `[inline, protected]`

Initialize the value of a FinalHolder after it is constructed.

A FinalHolder may be initialized only if the following conditions hold:

- The FinalHolder has not already been initialized (either during construction, or via `initialize()`)
- The FinalHolder has not escaped

Parameters:

  | that | the value to initialize this FinalHolder to

The documentation for this class was generated from the following file:

- coherence/lang/FinalHolder.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.